{% extends 'admin.html.twig' %}

{% block title %}Config index{% endblock %}

{% block body %}
    <h1 class='text-center'>Configurations</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Motherboard</th>
                <th>Ram</th>
                <th>Cpu</th>
                <th>Powersupply</th>
                 <th>Coolers</th>
                 <th>Price</th>
                <th>Gpus</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for config in configs %}
            <tr>
                <td>{{ config.id }}</td>
                <td><a  href="{{ path('config_show', {'id': config.id}) }}">{{ config.Title }}</a></td>
                <td> <a href="{{ config.MotherboardUrl }}"> {{ config.Motherboard }} </a></td>
                <td> <a href="{{ config.RamUrl }}"> {{ config.Ram }} </a></td>
                <td> <a href="{{ config.CpuUrl}}"> {{ config.Cpu }} </a></td>
                <td> <a href="{{ config.powersupplyUrl }}"> {{ config.powersupply }} </a></td>
                <td> <a href="{{ config.CoolerUrl }}"> {{ config.Cooler }} </a></td>
                <td>{{ config.Price }}€</td>
                <td>{{ config.Gpus }}</td>
                <td>
                {{ include('config/_delete_form.html.twig') }}
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="11">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class='btn btn-primary btn-rounded' href="{{ path('config_new') }}">Create new</a>
{% endblock %}
